
Foreman - Bug #24955

non-SCL plugins fail to build with release mismatch (build: 2.fm1_20.el7, rpm: 2.el7)

09/17/2018 06:45 AM - Evgeni Golov

Status: Resolved   

Priority: High   

Assignee:    

Category: Packaging   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases: 1.20.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I seem not to be able to build non-SCL plugins at the moment: http://koji.katello.org/koji/taskinfo?taskID=132508

The issue is that the build (rightfully) expects the result to have %{foremandist} set to fm1_20, but the built RPMs don't have that.

I think this is because of the recent split out of the foreman-release package into an own source package, and the move of the RPM

macros to foreman-build which is not installed in the buildroots (

http://koji.katello.org/koji/rpmlist?buildrootID=40939%20&start=150&order=external_repo_name&type=component).

This does not happen in 1.18/1.19, as there foreman-release is installed in the buildroots.

The SCL buildroots seem to have foreman-build installed.

History

#1 - 09/17/2018 03:02 PM - Evgeni Golov

- Status changed from New to Closed

this was fixed by eric in koji

#2 - 10/15/2018 09:06 AM - Tomer Brisker

- Status changed from Closed to Resolved
